Re: Failure while running bitbake: gcc-4.5.0.tar.bz2 seems to be corrupted


Tian, Kevin <kevin.tian@...>
 

could you double confirm the link below is used in your side?

 

Ideally the gnu mirror should be used, e.g. ftp://ftp.gnu.org/gnu/gcc/gcc-4.5.1/gcc-4.5.1.tar.bz2 in my log though it’s 4.5.1

 

If the upstream tar ball itself is broken, there’s nothing to do with bitbake itself. You have to find an alternative download site with a good tar ball, or wait for the original link to fix the problem. We did observe one or a few such issues, but it’s very rare case and we haven’t seen such report on gcc yet.

 

Thanks

Kevin

 

From: Saxena, Rahul
Sent: Saturday, April 02, 2011 5:44 AM
To: Tian, Kevin; yocto@...
Subject: RE: [yocto] Failure while running bitbake: gcc-4.5.0.tar.bz2 seems to be corrupted

 

The file seems to be copied from here by bitbake:

 

http://gcc.get-software.com/releases/gcc-4.5.0/gcc-4.5.0.tar.bz2

 

I manually downloaded it too it still shows up to be corrupted.

 

Not sure what does one do in such cases..

 

Thanks

Rahul

 

From: Tian, Kevin
Sent: Thursday, March 31, 2011 9:45 PM
To: Saxena, Rahul; yocto@...
Subject: RE: [yocto] Failure while running bitbake: gcc-4.5.0.tar.bz2 seems to be corrupted

 

could you try manually download the tar ball from the link, and then copy to the /home/rsaxena/poky-4.0-build/downloads/?

 

Thanks

Kevin

 

From: yocto-bounces@... [mailto:yocto-bounces@...] On Behalf Of Saxena, Rahul
Sent: Friday, April 01, 2011 11:31 AM
To: yocto@...
Subject: [yocto] Failure while running bitbake: gcc-4.5.0.tar.bz2 seems to be corrupted

 

Hi,

 

 I get a failure when I run the bitbake  example stated in the Yocto Project Quick Start Guide

 

$ bitbake poky-image-sato

 

Gives the following error:

 

>> 

NOTE: Running task 256 of 1633 (ID: 1585, /home/rsaxena/poky-laverne-4.0/meta/recipes-devtools/gcc/gcc-cross-initial_4.5.0.bb, do_unpack)

NOTE: package gcc-cross-initial-4.5.0-r10: task do_unpack: Started

NOTE: Unpacking /home/rsaxena/poky-4.0-build/downloads/gcc-4.5.0.tar.bz2 to /home/rsaxena/poky-4.0-build/tmp/work/i586-poky-linux/gcc-cross-initial-4.5.0-r10/

ERROR: Task failed:

NOTE: package gcc-cross-initial-4.5.0-r10: task do_unpack: Failed

ERROR: Task 1585 (/home/rsaxena/poky-laverne-4.0/meta/recipes-devtools/gcc/gcc-cross-initial_4.5.0.bb, do_unpack) failed with 1

ERROR: '/home/rsaxena/poky-laverne-4.0/meta/recipes-devtools/gcc/gcc-cross-initial_4.5.0.bb' failed

<< 

 

I find that if I manually try to untar the downloaded gcc-4.5.0.tar.bz2 file, I get a “not a bzip2 file” error.

I get the same error if I  download the file again and untar it.

 

So it seems like the  gcc-4.5.0.tar.bz2 is corrupted for some reason.

 

Pl let me know of any suggestions on how to get this resolved..

 

Thanks

Rahul

Join yocto@lists.yoctoproject.org to automatically receive all group messages.